
local const = require 'const'

local function pprint(msg)
  print(msg)
  game.print(msg)
  end
  
script.on_event(defines.events.on_player_fast_transferred, function(e)
  pprint('event:'..'on_player_fast_transferred')
  end)

for _, input in pairs(const.array_of_inputs) do
  script.on_event('on_linked_input_' .. (input:gsub('-','_')), function(e) 
    pprint('input:'..input)
    game.players[e.player_index].selected = nil -- make it nil!
    end)
  end

script.on_event(defines.events.on_tick, function(e)
  for _, p in pairs(game.players) do
    p.selected = nil -- make it nil all the time!
    end
  end)
